Subject: Re: Runtime libs

From: Magnus Damm <[email-masked]>
Date: Fri, 16 Feb 2001 16:01:15 +0100

> Now I'm looking for a runtime lib. I've tried compiling both stock
> glibc-2.2.1
> and dietlibc, and failed miserably. What is the favored runtime lib now
> for
> a 823 target?

I've used glibc-2.1.3 with some patches for my mpc8xx projects.
You will need a patch for the cacheline size, (search this list)
and a patch to fix a typo affecting little-endian in C-ctype.c.

I cross-compile it on a x86-box and it works like a dream. =)

A good thing to do is to download tarballs+diffs/SRPMS from
debian/redhat
and check out their patches.

Hope this helps /

Magnus

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/